* Mean Sea Level Pressure and 10m wind Visualizer (X-Y plots)
* Created by: Bryan M. Williams on August 26, 2013

Function main (args)
ctl1=subwrd(args,1)
date=subwrd(args,2)
fhr=subwrd(args,3)
is_analysis=subwrd(args,4)
is_nr=subwrd(args,5)
lon1=subwrd(args,6)
lon2=subwrd(args,7)
lat1=subwrd(args,8)
lat2=subwrd(args,9)

'set grads off'

'open 'ctl1

'set lat 'lat1' 'lat2
'set lon 'lon1' 'lon2

'set gxout shaded'
'set clevs  20 35 64 83 96 113 137'
'set ccols 0  5  4  3  7  8   6   9'
'define wspd=mag(ugrd10m,vgrd10m)*1.94'
'd wspd'
'run cbarc'

'set gxout barb'
'set rgb 21 120 120 120'
'set ccolor 21'

if(is_nr=1)
  'd skip(ugrd10m*1.94,15);skip(vgrd10m*1.94,15)'
else
  'd skip(ugrd10m*1.94,50);skip(vgrd10m*1.94,50)'
endif

'set gxout contour'
'set cint 4'
'set ccolor 1'
'set cthick 6'
'd PRMSLmsl/100'

if(is_nr = 1)
  'draw title MSLP (mb) & 10m winds (kts)\Conditions at 'date
  return
endif

if(is_analysis = 1)
  'draw title MSLP (mb) & 10m winds (kts)\'date' (Analysis)'
else
  'draw title MSLP (mb) & 10m winds (kts)\'date' at FHR 'fhr
endif

*'printim X-Y_'type'_MSLP.gif x1600 y1200'
