* Line Graph Multiple Plotter
* Created by Bryan M. williams on September 19, 2013

Function main(args)
run1=subwrd(args,1)
run2=subwrd(args,2)
start_date=subwrd(args,3)
xmin=subwrd(args,4)
xint=subwrd(args,5)
xmax=subwrd(args,6)
level1=subwrd(args,7)
level2=subwrd(args,8)
level3=subwrd(args,9)

* Pre Script Tasks
'reinit'
'set display color white'
'c'

'set string 2'
'draw string 0 8.3 'run2' - 'run1

'set vpage 0 3.5 4 8'
'run MSLP_error_mplot.gs 'run1' 'run2' 'start_date' 'xmin' 'xint' 'xmax

'set vpage 3.5 7 4 8'
'run t_error_multi.gs 'run1' 'run2' 'start_date' 'xmin' 'xint' 'xmax' 'level1' 'level2' 'level3

'set vpage 7 10.5 4 8'
'run rh_error_multi.gs 'run1' 'run2' 'start_date' 'xmin' 'xint' 'xmax' 'level1' 'level2' 'level3

'set vpage 0 3.5 0.5 4.5'
'run gph_error_multi.gs 'run1' 'run2' 'start_date' 'xmin' 'xint' 'xmax' 'level1' 'level2' 'level3

'set vpage 3.5 7 0.5 4.5'
'run uwind_error_multi.gs 'run1' 'run2' 'start_date' 'xmin' 'xint' 'xmax' 'level1' 'level2' 'level3

'set vpage 7 10.5 0.5 4.5'
'run vwind_error_multi.gs 'run1' 'run2' 'start_date' 'xmin' 'xint' 'xmax' 'level1' 'level2' 'level3

* Legend

'set vpage off'

pxlo_l=2.5
pxhi_l=8.5
pylo_l=0.2
pyhi_l=1.0

'set rgb 16 34 139 34'

AVGmarktype1=2
AVGmarksize1=0.09
AVGlcolor1=2
AVGlstyle1=5
AVGlthick1=6

RMSmarktype1=4
RMSmarksize1=0.09
RMSlcolor1=2
RMSlstyle1=1
RMSlthick1=6

AVGmarktype2=2
AVGmarksize2=0.09
AVGlcolor2=16
AVGlstyle2=5
AVGlthick2=6

RMSmarktype2=4
RMSmarksize2=0.09
RMSlcolor2=16
RMSlstyle2=1
RMSlthick2=6

AVGmarktype3=2
AVGmarksize3=0.09
AVGlcolor3=4
AVGlstyle3=5
AVGlthick3=6

RMSmarktype3=4
RMSmarksize3=0.09
RMSlcolor3=4
RMSlstyle3=1
RMSlthick3=6

* Draw box where key will go.

int=0.2

'set ccolor 1'
'set line 1 1 4'
'draw line 'pxlo_l' 'pylo_l' 'pxhi_l' 'pylo_l
'draw line 'pxhi_l' 'pylo_l' 'pxhi_l' 'pyhi_l
'draw line 'pxhi_l' 'pyhi_l' 'pxlo_l' 'pyhi_l
'draw line 'pxlo_l' 'pyhi_l' 'pxlo_l' 'pylo_l

* Draw lines and marks.

starty=pyhi_l-0.2
startx=pxlo_l+0.2

'set string 1 bl 0 0'
'set strsiz 0.10 0.12'

'set line 'AVGlcolor1' 'AVGlstyle1' 'AVGlthick1
'draw line 'startx' 'starty' 'startx+0.3' 'starty
'set line 'AVGlcolor1' 'AVGlstyle1' 'AVGlthick1
'draw string 'startx+0.40' 'starty-0.05' 'level1'mb Mean'

'set line 'RMSlcolor1' 'RMSlstyle1' 'RMSlthick1
'draw line 'startx' 'starty-0.4' 'startx+0.3' 'starty-0.4
'set line 'RMSlcolor1' 'RMSlstyle1' 'RMSlthick1
'draw string 'startx+0.40' 'starty-0.45' 'level1'mb RMS'

'set line 'AVGlcolor2' 'AVGlstyle2' 'AVGlthick2
'draw line 'startx+2' 'starty' 'startx+2.3' 'starty
'set line 'AVGlcolor2' 'AVGlstyle2' 'AVGlthick2
'draw string 'startx+2.50' 'starty-0.05' 'level2'mb Mean'

'set line 'RMSlcolor2' 'RMSlstyle2' 'RMSlthick2
'draw line 'startx+2' 'starty-0.4' 'startx+2.3' 'starty-0.4
'set line 'RMSlcolor2' 'RMSlstyle2' 'RMSlthick2
'draw string 'startx+2.50' 'starty-0.45' 'level2'mb RMS'

'set line 'AVGlcolor3' 'AVGlstyle3' 'AVGlthick3
'draw line 'startx+4.2' 'starty' 'startx+4.5' 'starty
'set line 'AVGlcolor3' 'AVGlstyle3' 'AVGlthick3
'draw string 'startx+4.60' 'starty-0.05' 'level3'mb Mean'

'set line 'RMSlcolor3' 'RMSlstyle3' 'RMSlthick3
'draw line 'startx+4.2' 'starty-0.4' 'startx+4.5' 'starty-0.4
'set line 'RMSlcolor3' 'RMSlstyle3' 'RMSlthick3
'draw string 'startx+4.60' 'starty-0.45' 'level3'mb RMS'

'set string 1 c 1 0'

ly_mid=(pyhi_l+pylo_l)/2

'draw string 'pxlo_l-0.2' 'ly_mid' KEY'

'printim 'run1'_'run2'_graph.png x1600 y1200'
