Function main(args)
ctl1=subwrd(args,1)
date=subwrd(args,2)
fhr=subwrd(args,3)
expname=subwrd(args,4)
is_analysis=subwrd(args,5)
ctl2=subwrd(args,6)
nr2=subwrd(args,7)

'reinit'
'set display color white'
'c'

say '--- PLOT FOR FHR 'fhr' FOR EXPERIMENT 'expname' STARTING 'date'---'

'set string 2'
'draw string 0 10.8 'expname

latlon=read('LatLon')
lon1=subwrd(latlon,2)
lon2=subwrd(latlon,3)
lat1=subwrd(latlon,4)
lat2=subwrd(latlon,5)

if(ctl2 != ctl1 & fhr != 0)
  say ' '
  say 'Plotting QPF...'

  'set vpage 4.1 8.1 7.9 10.4'
  'run apcpsfc_display.gs 'ctl1' 'expname' 'date' 'fhr' 'is_analysis' 0 'lon1' 'lon2' 'lat1' 'lat2' 'ctl2' 'nr2
  'run allclose.gs' 
endif

say ' '
say 'Plotting MSLP and 10m winds...'

'set vpage 0 4 7.9 10.4'
'run MSLP.gs 'ctl1' 'date' 'fhr' 'is_analysis' 0 'lon1' 'lon2' 'lat1' 'lat2
'run allclose.gs'

say 'Plotting Wind and GeoHeights...'
say '200mb...'

'set vpage 0 4 0 2.5'
'run wind_phi.gs 'ctl1' 200 'type' 'date' 'fhr' 'is_analysis' 0 'lon1' 'lon2' 'lat1' 'lat2
'run allclose.gs'

say '500mb...'

'set vpage 0 4 2.6 5.1'
'run wind_phi.gs 'ctl1' 500 'type' 'date' 'fhr' 'is_analysis' 0 'lon1' 'lon2' 'lat1' 'lat2
'run allclose.gs'

say '850mb...'

'set vpage 0 4 5.3 7.8'
'run wind_phi.gs 'ctl1' 850 'type' 'date' 'fhr' 'is_analysis' 0 'lon1' 'lon2' 'lat1' 'lat2
'run allclose.gs'

say ' '
say 'Plotting RH and Temperature'
say '200mb...'

'set vpage 4.1 8.1 0 2.5'
'run rh_t.gs 'ctl1' 200 'type' 'date' 'fhr' 'is_analysis' 0 'lon1' 'lon2' 'lat1' 'lat2
'run allclose.gs'

say '500mb...'

'set vpage 4.1 8.1 2.6 5.1'
'run rh_t.gs 'ctl1' 500 'type' 'date' 'fhr' 'is_analysis' 0 'lon1' 'lon2' 'lat1' 'lat2
'run allclose.gs'

say '800mb...'

'set vpage 4.1 8.1 5.3 7.8'
'run rh_t.gs 'ctl1' 850 'type' 'date' 'fhr' 'is_analysis' 0 'lon1' 'lon2' 'lat1' 'lat2
'run allclose.gs'

say 'Exporting to image...'

if(strlen(fhr) = 1 & is_analysis != 1)
  'printim mplot_'date'_00'fhr'_'expname'.png x1200 y1600'
  return
endif

if(strlen(fhr) = 2 & is_analysis != 1)
  'printim mplot_'date'_0'fhr'_'expname'.png x1200 y1600'
  return
endif

if(strlen(fhr) = 3 & is_analysis != 1)
  'printim mplot_'date'_'fhr'_'expname'.png x1200 y1600'
  return
endif

if(is_analysis = 1)
  'printim mplot_'date'_analysis_'expname'.png x1200 y1600'
  return
endif
