Function main(args)
ctl1=subwrd(args,1)
start=subwrd(args,2)
date=subwrd(args,3)
fhr=subwrd(args,4)
expname=subwrd(args,5)
is_analysis=subwrd(args,6)
initialctl=subwrd(args,7)
initialnr=subwrd(args,8)

'reinit'
'set display color white'
'c'

'set string 2'
'draw string 0 10.8 NATURE RUN'

latlon=read('LatLon')
lon1=subwrd(latlon,2)
lon2=subwrd(latlon,3)
lat1=subwrd(latlon,4)
lat2=subwrd(latlon,5)

if(initalnr != ctl1)
  say ' '
  say 'Plotting QPF...'

  'set vpage 4.1 8.1 7.9 10.4'
  say ctl1' 'initialnr
  'run apcpsfc_display.gs 'ctl1' 'expname' 'date' 'fhr' 'is_analysis' 1 'lon1' 'lon2' 'lat1' 'lat2' 'initialctl' 'initialnr
  'run allclose.gs' 
endif

say ' '
say 'Plotting MSLP and 10m winds...'

'set vpage 0 4 7.9 10.4'
'run MSLP.gs 'ctl1' 'date' 'fhr' 'is_analysis' 1 'lon1' 'lon2' 'lat1' 'lat2
'run allclose.gs'

say ' '
say 'Plotting Wind and GeoHeights...'
say '200mb...'

'set vpage 0 4 0 2.5'
'run wind_phi.gs 'ctl1' 200 'type' 'date' 'fhr' 'is_analysis' 1 'lon1' 'lon2' 'lat1' 'lat2
'run allclose.gs'

say '500mb...'

'set vpage 0 4 2.6 5.1'
'run wind_phi.gs 'ctl1' 500 'type' 'date' 'fhr' 'is_analysis' 1 'lon1' 'lon2' 'lat1' 'lat2
'run allclose.gs'

say '850mb...'

'set vpage 0 4 5.3 7.8'
'run wind_phi.gs 'ctl1' 850 'type' 'date' 'fhr' 'is_analysis' 1 'lon1' 'lon2' 'lat1' 'lat2
'run allclose.gs'

say ' '
say 'Plotting RH and Temperature...'
say '200mb...'

'set vpage 4.1 8.1 0 2.5'
'run rh_t.gs 'ctl1' 200 'type' 'date' 'fhr' 'is_analysis' 1 'lon1' 'lon2' 'lat1' 'lat2
'run allclose.gs'

say '500mb...'

'set vpage 4.1 8.1 2.6 5.1'
'run rh_t.gs 'ctl1' 500 'type' 'date' 'fhr' 'is_analysis' 1 'lon1' 'lon2' 'lat1' 'lat2
'run allclose.gs'

say '850mb...'

'set vpage 4.1 8.1 5.3 7.8'
'run rh_t.gs 'ctl1' 850 'type' 'date' 'fhr' 'is_analysis' 1 'lon1' 'lon2' 'lat1' 'lat2
'run allclose.gs'

say 'Exporting to image...'

if(strlen(fhr) = 1 & is_analysis != 1)
  'printim mplot_'start'_00'fhr'_nr.png x1200 y1600'
endif

if(strlen(fhr) = 2 & is_analysis != 1)
  'printim mplot_'start'_0'fhr'_nr.png x1200 y1600'
endif

if(strlen(fhr) = 3 & is_analysis != 1)
  'printim mplot_'start'_'fhr'_nr.png x1200 y1600'
endif

if(is_analysis = 1)
  'printim mplot_'start'_nr.png x1200 y1600'
  return
endif
